XDF_GET_EVENT(3)

NAME
xdf_get_event - Get details of an event of a data file

SYNOPSIS

#include <xdfio.h>

int xdf_get_event(struct xdf* xdf, unsigned int index,
int* evttype, double* onset, double* dur);

DESCRIPTION

xdf_get_event() returns the information of the index-th event of the file referenced by the handle xdf. The event type, start (in seconds) and duration (in seconds) of the event are returned respectively to the pointers evttype, onset and dur.

RETURN VALUE

xdf_get_event() returns 0 in case of success. Otherwise -1 is returned and errno is set appropriately.

ERRORS

EINVAL
    xdf, evttype, onset or dur is NULL.

ERANGE
    index is bigger than the number event in the file.

SEE ALSO
xdf_add_evttype(3)